- Main Page
- Classes
- Files

- File List
- File Members

# flDebug.c File Reference

`#include "flGlobal.h"`
`#include <pspkernel.h>`
`#include <pspdebug.h>`
`#include <pspdisplay.h>`
`#include <pspgu.h>`
`#include <pspctrl.h>`
`#include <string.h>`
`#include <stdio.h>`
`#include <psprtc.h>`

Go to the source code of this file.

## Functions
void | debugInit ()
void | debugErrorFrom (const char *inFile, const char *inFunc, int inLine, char *inMessage,...)
void | debugWarningFrom (const char *inFile, const char *inFunc, int inLine, char *inMessage,...)
void | debugDevWarningFrom (const char *inFile, const char *inFunc, int inLine, char *inMessage,...)
void | debugCriticalErrorFrom (const char *inFile, const char *inFunc, int inLine, char *inMessage,...)
void | debugLogFrom (char *inType, const char *inFile, const char *inFunc, int inLine, char *inMessage,...)
void | debugLog (char *inType, char *inMessage,...)
void | debugStatusLogFrom (const char *inFile, const char *inFunc, int inLine, char *inMessage,...)
void | debugScreenshot ()
## Variables
bool | debugEnabled = true
| A boolean value to set whether debugging is disabled at this point or not.

## Function Documentation

void debugCriticalErrorFrom | ( | const char * | inFile,
|  | const char * | inFunc,
|  | int | inLine,
|  | char * | inMessage,
|  |  | ... |
| ) |  |  |

Definition at line 270 of file flDebug.c.

References DEBUG_ARGEXTEND, debugCriticalError, debugEnabled, debugLog(), debugLogFrom(), debugScreenshot(), FL_DEBUG_CRITICALERROR_COLOR, flTerminate(), graphicsDispBuffer, graphicsDrawBuffer, graphicsSwapBuffers(), inputLock(), max, and memQalloc.

void debugDevWarningFrom | ( | const char * | inFile,
|  | const char * | inFunc,
|  | int | inLine,
|  | char * | inMessage,
|  |  | ... |
| ) |  |  |

Definition at line 194 of file flDebug.c.

References DEBUG_ARGEXTEND, debugDevWarning, debugEnabled, debugLog(), debugLogFrom(), debugScreenshot(), FL_DEBUG_DEVWARNING_COLOR, graphicsDispBuffer, graphicsDrawBuffer, inputLock(), max, memFree, memQalloc, and ntfyTrayAdd().

Referenced by vmemReallocFrom().

void debugErrorFrom | ( | const char * | inFile,
|  | const char * | inFunc,
|  | int | inLine,
|  | char * | inMessage,
|  |  | ... |
| ) |  |  |

Definition at line 38 of file flDebug.c.

References DEBUG_ARGEXTEND, debugEnabled, debugError, debugLog(), debugLogFrom(), debugScreenshot(), FL_DEBUG_ERROR_COLOR, flTerminate(), graphicsDispBuffer, graphicsDrawBuffer, inputLock(), max, memFree, memQalloc, and ntfyTrayAdd().

Referenced by memErrorBytesCheckFrom(), memFreeFrom(), memReallocFrom(), memtAddFrom(), memtDelFrom(), memtErrorBytesCheckFrom(), vmemFreeFrom(), and vmemReallocFrom().

void debugInit | ( |  | ) |

Definition at line 26 of file flDebug.c.

References fileDelete(), and FL_DEBUG_LOGPATH.

Referenced by flInitialize().

void debugLog | ( | char * | inType,
|  | char * | inMessage,
|  |  | ... |
| ) |  |  |

Definition at line 394 of file flDebug.c.

References DEBUG_ARGEXTEND, debugError, FILE_MODE_APPEND, fileClose(), fileOpen(), filePuts(), FL_DEBUG_LOGPATH, max, memFree, and memQalloc.

Referenced by debugCriticalErrorFrom(), debugDevWarningFrom(), debugErrorFrom(), debugStatusLogFrom(), and debugWarningFrom().

void debugLogFrom | ( | char * | inType,
|  | const char * | inFile,
|  | const char * | inFunc,
|  | int | inLine,
|  | char * | inMessage,
|  |  | ... |
| ) |  |  |

Definition at line 346 of file flDebug.c.

References DEBUG_ARGEXTEND, debugError, FILE_MODE_APPEND, fileClose(), fileOpen(), filePuts(), FL_DEBUG_LOGPATH, max, memFree, and memQalloc.

Referenced by debugCriticalErrorFrom(), debugDevWarningFrom(), debugErrorFrom(), debugStatusLogFrom(), and debugWarningFrom().

void debugScreenshot | ( |  | ) |

Definition at line 467 of file flDebug.c.

References debugError, debugStatusLog, FILE_MODE_BINARY, FILE_MODE_READ, fileClose(), fileOpen(), FL_DEBUG_SCREENSHOTPATH, texSave(), and texScreenshot().

Referenced by debugCriticalErrorFrom(), debugDevWarningFrom(), debugErrorFrom(), and debugWarningFrom().

void debugStatusLogFrom | ( | const char * | inFile,
|  | const char * | inFunc,
|  | int | inLine,
|  | char * | inMessage,
|  |  | ... |
| ) |  |  |

Definition at line 440 of file flDebug.c.

References DEBUG_ARGEXTEND, debugLog(), debugLogFrom(), debugStatusLog, FL_DEBUG_STATUS_COLOR, max, memFree, memQalloc, and ntfyTrayAdd().

void debugWarningFrom | ( | const char * | inFile,
|  | const char * | inFunc,
|  | int | inLine,
|  | char * | inMessage,
|  |  | ... |
| ) |  |  |

Definition at line 117 of file flDebug.c.

References DEBUG_ARGEXTEND, debugEnabled, debugLog(), debugLogFrom(), debugScreenshot(), debugWarning, FL_DEBUG_WARNING_COLOR, graphicsDispBuffer, graphicsDrawBuffer, inputLock(), max, memFree, memQalloc, and ntfyTrayAdd().

Referenced by memAlignFrom(), memAllocUncachedFrom(), memClearFrom(), memCompareFrom(), memCopyFrom(), memFreeFrom(), memQallocFrom(), memReallocFrom(), memSetByteFrom(), memSetShortFrom(), memtErrorBytesCheckFrom(), memUncachedPtrFrom(), vmemAllocFrom(), and vmemReallocFrom().

## Variable Documentation

bool debugEnabled = true

A boolean value to set whether debugging is disabled at this point or not.

Note:
  This is modified internally to stop infinite loops of errors, but it is also possible for the user to use this to stop debugging in certain critical parts of a program.

Definition at line 24 of file flDebug.c.

Referenced by debugCriticalErrorFrom(), debugDevWarningFrom(), debugErrorFrom(), and debugWarningFrom().